# Interface SetEvents<T>

A type that Sets event names to their corresponding event object types for an ObservableSet.

interface SetEvents<T> {
after-add: SetAfterItemEvent<T>;
after-remove: SetAfterItemEvent<T>;
change: SetChangeEvent<T>;
}

#### Type Parameters

- T

#####
Index

### Properties

after-add
after-remove
change

##
Properties

### after-add

after-add: SetAfterItemEvent<T>

Fires after an item has been added to the Set.

### after-remove

after-remove: SetAfterItemEvent<T>

Fires after an item has been removed from the Set.

### change

change: SetChangeEvent<T>

Fires after an item has been Added or removed from the Set. From the Collection.